<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$furnitures_view = new furnitures_view();

// Run the page
$furnitures_view->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$furnitures_view->Page_Render();
?>
<?php include_once "header.php"; ?>
<?php if (!$furnitures_view->isExport()) { ?>
<script>
var ffurnituresview, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "view";
	ffurnituresview = currentForm = new ew.Form("ffurnituresview", "view");
	loadjs.done("ffurnituresview");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php } ?>
<?php if (!$furnitures_view->isExport()) { ?>
<div class="btn-toolbar ew-toolbar">
<?php $furnitures_view->ExportOptions->render("body") ?>
<?php $furnitures_view->OtherOptions->render("body") ?>
<div class="clearfix"></div>
</div>
<?php } ?>
<?php $furnitures_view->showPageHeader(); ?>
<?php
$furnitures_view->showMessage();
?>
<form name="ffurnituresview" id="ffurnituresview" class="form-inline ew-form ew-view-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="furnitures">
<input type="hidden" name="modal" value="<?php echo (int)$furnitures_view->IsModal ?>">
<table class="table table-striped table-sm ew-view-table">
<?php if ($furnitures_view->id->Visible) { // id ?>
	<tr id="r_id">
		<td class="<?php echo $furnitures_view->TableLeftColumnClass ?>"><span id="elh_furnitures_id"><?php echo $furnitures_view->id->caption() ?></span></td>
		<td data-name="id" <?php echo $furnitures_view->id->cellAttributes() ?>>
<span id="el_furnitures_id">
<span<?php echo $furnitures_view->id->viewAttributes() ?>><?php echo $furnitures_view->id->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($furnitures_view->Furniture->Visible) { // Furniture ?>
	<tr id="r_Furniture">
		<td class="<?php echo $furnitures_view->TableLeftColumnClass ?>"><span id="elh_furnitures_Furniture"><?php echo $furnitures_view->Furniture->caption() ?></span></td>
		<td data-name="Furniture" <?php echo $furnitures_view->Furniture->cellAttributes() ?>>
<span id="el_furnitures_Furniture">
<span<?php echo $furnitures_view->Furniture->viewAttributes() ?>><?php echo $furnitures_view->Furniture->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<?php
$furnitures_view->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<?php if (!$furnitures_view->isExport()) { ?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php } ?>
<?php include_once "footer.php"; ?>
<?php
$furnitures_view->terminate();
?>